Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ComboBoxEntryText Class Reference

A Text Gtk::ComboBoxEntry class. More...

`#include <xfc/gtk/comboboxentry.hh>`

Inheritance diagram for Xfc::Gtk::ComboBoxEntryText:

List of all members.

## Public Member Functions

Constructors

- ComboBoxEntryText ()
    Constructs a new editable text ComboBox widget.
- virtual ~ComboBoxEntryText ()
    Destructor.

Methods

- void append (const String &text)
    Appends a string to the list of strings stored in the combo box.
- void prepend (const String &text)
    Prepends a string to the list of strings stored in the combo box.
- void insert (int position, const String &text)
    Inserts a string at position in the list of strings stored in the combo box.
- void remove (int position)
    Removes the string at position from the combo box.

## Detailed Description

A Text Gtk::ComboBoxEntry class.

ComboBoxEntryText is an editable text combo box, which is a Gtk::ComboBoxEntry just displaying strings. If you use this text combo box, you should only manipulate its data source with the following convenience methods: append_text(), insert_text(), prepend_text() and remove_text().

See also: the ComboBox HOWTOs and examples.

## Member Function Documentation

void Xfc::Gtk::ComboBoxEntryText::append | ( | const String & | text | ) |

Appends a string to the list of strings stored in the combo box.

Parameters:

  | text | A text string.

void Xfc::Gtk::ComboBoxEntryText::insert | ( | int | position,
|  | const String & | text
| ) |

Inserts a string at position in the list of strings stored in the combo box.

Parameters:

  | position | An index to insert text.
  | text | A text string.

void Xfc::Gtk::ComboBoxEntryText::prepend | ( | const String & | text | ) |

Prepends a string to the list of strings stored in the combo box.

Parameters:

  | text | A text string.

void Xfc::Gtk::ComboBoxEntryText::remove | ( | int | position | ) |

Removes the string at position from the combo box.

Parameters:

  | position | The index of the item to remove.

The documentation for this class was generated from the following file:

- comboboxentry.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3